# Class Post

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Post

public class Post extends FBObject
This class represents a Facebook Post Object http://developers.facebook.com/docs/reference/api/post/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Post()`
  Empty Contructor
  `Post(Hashtable props)`
  Creates a post from a hashtable of Facebook post properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getAttribution()`
  Gets the Attribution
  `String`
  `getCommentsCount()`
  Gets the comments count number
  `String`
  `getCreatedTime()`
  `User`
  `getFrom()`
  Gets the from User
  `String`
  `getLikes()`
  Gets the Link Count
  `String`
  `getLinkDescription()`
  Gets the linkDescription
  `String`
  `getLinkName()`
  Gets the Link Name
  `String`
  `getLinkUrl()`
  Gets the link Url
  `String`
  `getMessage()`
  Gets the message
  `String`
  `getPicture()`
  Gets the picture id
  `Vector`
  `getTo()`
  Gets the to users
  `String`
  `getType()`
  Get the type
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class FBObject

  `getId, getName, setId`
  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Simple getter
  `String`
  `getName()`
  Simple getter
  `void`
  `setId(String id)`
  Simple setter

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Post

    public Post()
    Empty Contructor

  - ### Post

    public Post(Hashtable props)

    Creates a post from a hashtable of Facebook post properties.

    ###### Parameters

    - `props`: the properties map used to initialize the post.

- ## Method Details

  - ### getFrom

    public User getFrom()

    Gets the from User

    ###### Returns

    from User

  - ### getTo

    public Vector getTo()

    Gets the to users

    ###### Returns

    Vector of Users

  - ### getType

    public String getType()

    Get the type

    ###### Returns

    the type

  - ### getAttribution

    public String getAttribution()

    Gets the Attribution

    ###### Returns

    the attribution

  - ### getMessage

    public String getMessage()

    Gets the message

    ###### Returns

    the message

  - ### getLinkUrl

    public String getLinkUrl()

    Gets the link Url

    ###### Returns

    the linkUrl

  - ### getCommentsCount

    public String getCommentsCount()

    Gets the comments count number

    ###### Returns

    the comments count

  - ### getLinkName

    public String getLinkName()

    Gets the Link Name

    ###### Returns

    the linkName

    ###### Deprecated

    use getName() instead

  - ### getLinkDescription

    public String getLinkDescription()

    Gets the linkDescription

    ###### Returns

    the linkDescription

  - ### getPicture

    public String getPicture()

    Gets the picture id

    ###### Returns

    the picture id

  - ### getCreatedTime

    public String getCreatedTime()

  - ### getLikes

    public String getLikes()

    Gets the Link Count

    ###### Returns

    the likes count

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `FBObject`